package com.nec.qnes.tms2.RTC.api;


/**
* com/nec/qnes/tms2/RTC/api/TagPOA.java .
* IDL-to-Java RpC (|[^u), o[W "3.1" Ő
* : TMS3RTC.idl
* 2011N114 184951b JST
*/


////////////////////////////////////////
public abstract class TagPOA extends org.omg.PortableServer.Servant
 implements com.nec.qnes.tms2.RTC.api.TagOperations, org.omg.CORBA.portable.InvokeHandler
{

  // Constructors

  private static java.util.Hashtable _methods = new java.util.Hashtable ();
  static
  {
    _methods.put ("_get_deviceid", new java.lang.Integer (0));
    _methods.put ("_get_userid", new java.lang.Integer (1));
    _methods.put ("getInstance", new java.lang.Integer (2));
    _methods.put ("getTagInfo", new java.lang.Integer (3));
    _methods.put ("setTagInfo", new java.lang.Integer (4));
    _methods.put ("getTagIDByObjectInfo", new java.lang.Integer (5));
    _methods.put ("getTagIDByLocationInfo", new java.lang.Integer (6));
    _methods.put ("getTagIDByTaskInfo", new java.lang.Integer (7));
    _methods.put ("setObjectShapeInfo", new java.lang.Integer (8));
    _methods.put ("getObjectShapeInfo", new java.lang.Integer (9));
    _methods.put ("setObjectTextureInfo", new java.lang.Integer (10));
    _methods.put ("getObjectTextureInfo", new java.lang.Integer (11));
    _methods.put ("setObjectJanInfo", new java.lang.Integer (12));
    _methods.put ("getObjectJanInfo", new java.lang.Integer (13));
    _methods.put ("setLinkJanTagID", new java.lang.Integer (14));
    _methods.put ("getObjectJanInfoByTagID", new java.lang.Integer (15));
    _methods.put ("getTagIDByObjectJanInfo", new java.lang.Integer (16));
    _methods.put ("getTagIDByObjectInfoWithBM", new java.lang.Integer (17));
    _methods.put ("getTagIDByObjectJanInfoWithBM", new java.lang.Integer (18));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (String $method,
                                org.omg.CORBA.portable.InputStream in,
                                org.omg.CORBA.portable.ResponseHandler $rh)
  {
    org.omg.CORBA.portable.OutputStream out = null;
    java.lang.Integer __method = (java.lang.Integer)_methods.get ($method);
    if (__method == null)
      throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);

    switch (__method.intValue ())
    {
       case 0:  // com/nec/qnes/tms2/RTC/api/Tag/_get_deviceid
       {
         String $result = null;
         $result = this.deviceid ();
         out = $rh.createReply();
         out.write_wstring ($result);
         break;
       }

       case 1:  // com/nec/qnes/tms2/RTC/api/Tag/_get_userid
       {
         String $result = null;
         $result = this.userid ();
         out = $rh.createReply();
         out.write_wstring ($result);
         break;
       }

       case 2:  // com/nec/qnes/tms2/RTC/api/Tag/getInstance
       {
         com.nec.qnes.tms2.RTC.data.AuthToken token = com.nec.qnes.tms2.RTC.data.AuthTokenHelper.read (in);
         com.nec.qnes.tms2.RTC.api.Tag $result = null;
         $result = this.getInstance (token);
         out = $rh.createReply();
         com.nec.qnes.tms2.RTC.api.TagHelper.write (out, $result);
         break;
       }

       case 3:  // com/nec/qnes/tms2/RTC/api/Tag/getTagInfo
       {
         String tagids[] = com.nec.qnes.tms2.RTC.data.StringListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.TagInfoListHolder taginfos = new com.nec.qnes.tms2.RTC.data.TagInfoListHolder ();
         int $result = (int)0;
         $result = this.getTagInfo (tagids, taginfos);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.TagInfoListHelper.write (out, taginfos.value);
         break;
       }

       case 4:  // com/nec/qnes/tms2/RTC/api/Tag/setTagInfo
       {
         com.nec.qnes.tms2.RTC.data.TagInfo taginfos[] = com.nec.qnes.tms2.RTC.data.TagInfoListHelper.read (in);
         int $result = (int)0;
         $result = this.setTagInfo (taginfos);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 5:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByObjectInfo
       {
         com.nec.qnes.tms2.RTC.data.TagObjectInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.TagObjectInfo_KeyListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByObjectInfo (infos, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }

       case 6:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByLocationInfo
       {
         com.nec.qnes.tms2.RTC.data.TagLocationInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.TagLocationInfo_KeyListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByLocationInfo (infos, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }


  // not supported
       case 7:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByTaskInfo
       {
         com.nec.qnes.tms2.RTC.data.TagTaskInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.TagTaskInfo_KeyListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByTaskInfo (infos, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }


  // not supported	--- optional
       case 8:  // com/nec/qnes/tms2/RTC/api/Tag/setObjectShapeInfo
       {
         String tagid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectShapeInfo info = com.nec.qnes.tms2.RTC.data.ObjectShapeInfoHelper.read (in);
         int $result = (int)0;
         $result = this.setObjectShapeInfo (tagid, info);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 9:  // com/nec/qnes/tms2/RTC/api/Tag/getObjectShapeInfo
       {
         String tagid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectShapeInfoHolder info = new com.nec.qnes.tms2.RTC.data.ObjectShapeInfoHolder ();
         int $result = (int)0;
         $result = this.getObjectShapeInfo (tagid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.ObjectShapeInfoHelper.write (out, info.value);
         break;
       }


  // not supported	--- optional
       case 10:  // com/nec/qnes/tms2/RTC/api/Tag/setObjectTextureInfo
       {
         String tagid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectTextureInfo info = com.nec.qnes.tms2.RTC.data.ObjectTextureInfoHelper.read (in);
         int $result = (int)0;
         $result = this.setObjectTextureInfo (tagid, info);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 11:  // com/nec/qnes/tms2/RTC/api/Tag/getObjectTextureInfo
       {
         String tagid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectTextureInfoHolder info = new com.nec.qnes.tms2.RTC.data.ObjectTextureInfoHolder ();
         int $result = (int)0;
         $result = this.getObjectTextureInfo (tagid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.ObjectTextureInfoHelper.write (out, info.value);
         break;
       }


  // not supported	--- optional
       case 12:  // com/nec/qnes/tms2/RTC/api/Tag/setObjectJanInfo
       {
         String jancode = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectJanInfo info = com.nec.qnes.tms2.RTC.data.ObjectJanInfoHelper.read (in);
         int $result = (int)0;
         $result = this.setObjectJanInfo (jancode, info);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }


  // not supported	--- optional
       case 13:  // com/nec/qnes/tms2/RTC/api/Tag/getObjectJanInfo
       {
         String jancode = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder info = new com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder ();
         int $result = (int)0;
         $result = this.getObjectJanInfo (jancode, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.ObjectJanInfoHelper.write (out, info.value);
         break;
       }


  // not supported	--- optional
       case 14:  // com/nec/qnes/tms2/RTC/api/Tag/setLinkJanTagID
       {
         String tagid = in.read_wstring ();
         String jancode = in.read_wstring ();
         int $result = (int)0;
         $result = this.setLinkJanTagID (tagid, jancode);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 15:  // com/nec/qnes/tms2/RTC/api/Tag/getObjectJanInfoByTagID
       {
         String tagid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder info = new com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder ();
         int $result = (int)0;
         $result = this.getObjectJanInfoByTagID (tagid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.ObjectJanInfoHelper.write (out, info.value);
         break;
       }

       case 16:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByObjectJanInfo
       {
         com.nec.qnes.tms2.RTC.data.ObjectJanInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.ObjectJanInfo_KeyListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByObjectJanInfo (infos, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }


  // H22 add
       case 17:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByObjectInfoWithBM
       {
         com.nec.qnes.tms2.RTC.data.TagObjectInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.TagObjectInfo_KeyListHelper.read (in);
         int flag = in.read_long ();
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByObjectInfoWithBM (infos, flag, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }


  // H22 add
       case 18:  // com/nec/qnes/tms2/RTC/api/Tag/getTagIDByObjectJanInfoWithBM
       {
         com.nec.qnes.tms2.RTC.data.ObjectJanInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.ObjectJanInfo_KeyListHelper.read (in);
         int flag = in.read_long ();
         com.nec.qnes.tms2.RTC.data.StringListListHolder tagids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getTagIDByObjectJanInfoWithBM (infos, flag, tagids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, tagids.value);
         break;
       }

       default:
         throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
    }

    return out;
  } // _invoke

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:com/nec/qnes/tms2/RTC/api/Tag:1.0"};

  public String[] _all_interfaces (org.omg.PortableServer.POA poa, byte[] objectId)
  {
    return (String[])__ids.clone ();
  }

  public Tag _this() 
  {
    return TagHelper.narrow(
    super._this_object());
  }

  public Tag _this(org.omg.CORBA.ORB orb) 
  {
    return TagHelper.narrow(
    super._this_object(orb));
  }


} // class TagPOA
