package com.nec.qnes.tms2.RTC.api;


/**
* com/nec/qnes/tms2/RTC/api/TagOperations.java .
* IDL-to-Java RpC (|[^u), o[W "3.1" Ő
* : TMS3RTC.idl
* 2011N114 184951b JST
*/


////////////////////////////////////////
public interface TagOperations 
{
  String deviceid ();
  String userid ();
  com.nec.qnes.tms2.RTC.api.Tag getInstance (com.nec.qnes.tms2.RTC.data.AuthToken token);
  int getTagInfo (String[] tagids, com.nec.qnes.tms2.RTC.data.TagInfoListHolder taginfos);
  int setTagInfo (com.nec.qnes.tms2.RTC.data.TagInfo[] taginfos);
  int getTagIDByObjectInfo (com.nec.qnes.tms2.RTC.data.TagObjectInfo_Key[] infos, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);
  int getTagIDByLocationInfo (com.nec.qnes.tms2.RTC.data.TagLocationInfo_Key[] infos, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);

  // not supported
  int getTagIDByTaskInfo (com.nec.qnes.tms2.RTC.data.TagTaskInfo_Key[] infos, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);

  // not supported	--- optional
  int setObjectShapeInfo (String tagid, com.nec.qnes.tms2.RTC.data.ObjectShapeInfo info);
  int getObjectShapeInfo (String tagid, com.nec.qnes.tms2.RTC.data.ObjectShapeInfoHolder info);

  // not supported	--- optional
  int setObjectTextureInfo (String tagid, com.nec.qnes.tms2.RTC.data.ObjectTextureInfo info);
  int getObjectTextureInfo (String tagid, com.nec.qnes.tms2.RTC.data.ObjectTextureInfoHolder info);

  // not supported	--- optional
  int setObjectJanInfo (String jancode, com.nec.qnes.tms2.RTC.data.ObjectJanInfo info);

  // not supported	--- optional
  int getObjectJanInfo (String jancode, com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder info);

  // not supported	--- optional
  int setLinkJanTagID (String tagid, String jancode);
  int getObjectJanInfoByTagID (String tagid, com.nec.qnes.tms2.RTC.data.ObjectJanInfoHolder info);
  int getTagIDByObjectJanInfo (com.nec.qnes.tms2.RTC.data.ObjectJanInfo_Key[] infos, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);

  // H22 add
  int getTagIDByObjectInfoWithBM (com.nec.qnes.tms2.RTC.data.TagObjectInfo_Key[] infos, int flag, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);

  // H22 add
  int getTagIDByObjectJanInfoWithBM (com.nec.qnes.tms2.RTC.data.ObjectJanInfo_Key[] infos, int flag, com.nec.qnes.tms2.RTC.data.StringListListHolder tagids);
} // interface TagOperations
